/**
*FCTarget App
* Defined an App to manage unas FCTarget service
*/
var FCTargetApp = FCTargetApp || {};  //Define FCTarget App namespace.
/**
*Constructor UNAS App
*/
FCTargetApp.App = function () {
    this.id = 'FC Target';
    this.name = 'FC Target';
    this.version = '6.0.9';
    this.active = false;
    this.menuIcon = '/apps/fctarget/images/logo.png';
    this.shortcutIcon = '/apps/fctarget/images/logo.png';
    // this.entryHelpUrl = '/apps/FCTarget/FCTarget_help.html';
    this.entryUrl = '/apps/fctarget/fctarget.html?v=6.0.9';
    var self = this;
    this.FCTargetAppWindow = function () {
     self.window=new MUI.Window({
            id: 'FCTargetAppWindow',
            title: UNAS._('FC Target'),
            icon: '/apps/fctarget/images/logo_small.png',
            loadMethod: 'xhr',
            width: 750,
            height: 450,
            maximizable: false,
            resizable: true,
            scrollbars: true,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/fctarget/fctarget.html?v=6.0.9',
            require: {  css: ['/apps/fctarget/css/fctarget.css?v=6.0.9'] }
     	});
    };
    this.FCTargetUninstall = function (){
    	UNAS.RemoveDesktopShortcut('FC Target');
    	UNAS.RemoveMenu('FC Target');
    	UNAS.RemoveAppFromGroups('FC Target', 'ControlPanel');
    	UNAS.RemoveAppFromGroups('FC Target', 'Help');
    	UNAS.RemoveAppFromApps('FC Target');
    };
    new UNAS.Menu('UNAS_ControlPanel_Storage_Menu', this.name, this.menuIcon, 'FC Target', '', this.FCTargetAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, UNAS._('FC Target'), this.FCTargetAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {"Type" : "Storage", "Location" : 4, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {"Type" : "Storage", "Location" : 4, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl}, {});
    var OnChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('FC Target', UNAS._('FC Target')); //translate menu
        //UNAS.SetShortcutTitle('FCTarget Service', UNAS._('FCTarget Service'));
        if (typeof self.window !== 'undefined') {
        	new window.top.UNAS.TranslatePage('FCTargetAppWindow');
        }
    };
    UNAS.LoadTranslation('/apps/fctarget/languages/Translation', OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.FCTargetAppWindow, this.FCTargetUninstall);
};

new FCTargetApp.App();
